zenbones

zenbones

Member Since 11 years ago

Experience Points
3
follower
Lessons Completed
1
follow
Lessons Completed
2
stars
Best Reply Awards
4
repos

3395 contributions in the last year

Pinned
⚡ The SmallMind tools and utilities codebase
⚡ Wicket extensions and integrations
⚡ Helm Charts
Activity
Nov
11
2 weeks ago
Nov
9
3 weeks ago
Activity icon
issue

zenbones issue comment distribution/distribution

zenbones
zenbones

The auth request 'scope' attribute does not contain the requested tag

'docker pull myserver:5000/a/b/c:1' yields a GET request to the auth server for...

GET/epicenter/rest/docker/auth?account=&scope=repository:a/b/c:pull&service=epicenterHTTP/1.1

Note the lack of tag information in the request, which makes it hard to limit access to images by their requested tag value

zenbones
zenbones

No I did not. Turns out the Go has a horrific build system with no good concept of dependency management, and the language itself seems to think that forcing every 3rd line of code to do error handling without the benefit of a try/catch construct, or a standardized error carrying a stack trace, is the height of elegance. I found a way to live without this feature. But if you can manage to work it out, I'd be happy to use the fix.


From: Keith Derrick ***@Sent: Tuesday, November 9, 2021 10:14 AM To: distribution/distribution ***@Cc: david.berkman grenadefish.net ***@Mention ***@Subject: Re: [distribution/distribution] The auth request 'scope' attribute does not contain the requested tag (#3292)

@zenboneshttps://github.com/zenbones Did you actually get this working? I was hunting for a pull request or branch implementing this feature before doing it myself.

— You are receiving this because you were mentioned. Reply to this email directly, view it on GitHubhttps://github.com/distribution/distribution/issues/3292#issuecomment-964408769, or unsubscribehttps://github.com/notifications/unsubscribe-auth/AACMYJEHDLDOFENDJGRD4FDULFQHJANCNFSM4TNHTPQQ. Triage notifications on the go with GitHub Mobile for iOShttps://apps.apple.com/app/apple-store/id1477376905?ct=notification-email&mt=8&pt=524675 or Androidhttps://play.google.com/store/apps/details?id=com.github.android&referrer=utm_campaign%3Dnotification-email%26utm_medium%3Demail%26utm_source%3Dgithub.

Activity icon
delete

zenbones in zenbones/SmallMind delete branch experiment-jetty10

deleted time in 3 weeks ago
Activity icon
delete

zenbones in zenbones/SmallMind delete branch experiment-jakarta11

deleted time in 3 weeks ago
Nov
8
3 weeks ago
Nov
3
4 weeks ago
Activity icon
issue

zenbones issue comment querydsl/querydsl

zenbones
zenbones

Update Morphia version from 1.3.2 to 1.4.0

Expected Result Use Morphia version 1.4.0, in that release the package was changed from org.mongodb.morphia to xyz.morphia.morphia https://github.com/MorphiaOrg/morphia/releases/tag/r1.4.0

Actual Result Morphia version 1.3.2 is used


Want to back this issue? Post a bounty on it! We accept bounties via Bountysource.

zenbones
zenbones

The old morphia (1.3.2 and earlier, maybe as far as 1.5) is a dead project. The code has been contributed and moved, through whatever the middle project is, to its current destination at dev.morphia.morphia:core, which is where you should aim. Not sure how you make this a non-breaking change, but leaving it where it is leaves everyone who might want to use it stranded from the evolving project. I think you need some breaking change. I would suggest a service based approach with different maven artifacts presenting different versions of the service, querydsl-morphia-1.x, querydsl-morphia-2.x, if you really want to provide some backward compatability.

Nov
2
4 weeks ago
Activity icon
issue

zenbones issue comment querydsl/querydsl

zenbones
zenbones

Update Morphia version from 1.3.2 to 1.4.0

Expected Result Use Morphia version 1.4.0, in that release the package was changed from org.mongodb.morphia to xyz.morphia.morphia https://github.com/MorphiaOrg/morphia/releases/tag/r1.4.0

Actual Result Morphia version 1.3.2 is used


Want to back this issue? Post a bounty on it! We accept bounties via Bountysource.

zenbones
zenbones

I do and I'd like to upgrade to morphia 2.2.2 or later

Oct
26
1 month ago
Oct
25
1 month ago
Oct
22
1 month ago
Oct
21
1 month ago
Oct
19
1 month ago
push

zenbones push zenbones/SmallMind

zenbones
zenbones

loader aware class and method caches (fingers crossed)

commit sha: f094e45b572c85b0266aeb55a59bc0036c081a97

push time in 1 month ago
Oct
18
1 month ago
Activity icon
issue

zenbones issue comment fluent/fluent-bit

zenbones
zenbones

Root cert for packages fluentbit io is expired

I've checked the CentOS, ​Ubuntu, ​Debian, Raspbian and Yocto repos and they are all reporting 403 forbidden. Taken from fluent/fluent-bit-packaging#17 it looks to have been like this since mars.

Is linux packaging still supported and if so why haven't anything happened around this?

zenbones
zenbones
Oct
12
1 month ago
Activity icon
issue

zenbones issue fluent/fluent-bit

zenbones
zenbones

Build failure on ubuntu 20.4 (focal) with fluentbit 1.8

Our previously working ansible install now gives this error...

FAILED! => {"changed": false, "msg": "Failed to update apt cache: E:The repository 'https://packages.fluentbit.io/ubuntu/focal focal Release' does not have a Release file."}

Maybe there a missing or corrupt package?